Package ru.bitel.bgbilling.kernel.base.phone.common.bean

# Class CostMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.base.phone.common.bean.AbstractGeographicCode<CostMapItem>
ru.bitel.bgbilling.kernel.base.phone.common.bean.CostMapItem

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<CostMapItem>`

    public class CostMapItem
    extends AbstractGeographicCode<CostMapItem>

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.base.phone.common.bean.AbstractGeographicCode

  `children, code, prefix, range`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CostMapItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getCost()` |
  `void` | `setCost​(java.math.BigDecimal cost)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.phone.common.bean.AbstractGeographicCode

  `addChild, findCode, findCodeIterator, findCodePath, getChildren, getCode, getComment, getDestination, getDestinationId, getPrefix, getRange, matches, setChildren, setCode, setComment, setDestination, setDestinationId, toString`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### CostMapItem

    public CostMapItem()

- ## Method Details

  - ### getCost

    public java.math.BigDecimal getCost()

  - ### setCost

    public void setCost​(java.math.BigDecimal cost)